
depend:
	@makedepend $(SRCS) $(INCLUDES) -I$(INCLUDE_CPLUS) $(ROOTCFLAGS) \
        -f Makefile.depend 2> kk.kk ; cat kk.kk

$(LIB): $(OBJS) $(HEADERS) $(CINT)Cint.o
	@echo " - Building Library lib$(LIB) ... "
	$(AR) $(LIB) *.o

$(CINT)Cint.cc: $(CINTHEADERS) 
	@echo 
	@echo " - Generating dictionary $(CINT)Cint.cc ..."

	$(ROOTSYS)/bin/rootcint -f $(CINT)Cint.cc \
	-c $(INCLUDES) $(DEFINES) $(CINTHEADERS) $(CINT)Incl.h $(CINT)LinkDef.h 

.cxx.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.cc.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:	
	@echo "Compiling " $<
	$(CC) $(CFLAGS) -c $< -o $@
#
# The cleaning facility
#

rmcint:	
	@echo "Removing cint-stuff..."
	@rm -f *Cint.*

rmlib:	
	@echo "Removing libraries..."
	@rm -f lib/lib*.a  lib*.a

rmobjs:	
	@echo "Removing object files..."
	@rm -f *.o

rmcore:	
	@echo "Removing core files..."
	@rm -f core*

rmbin:	
	@echo "Removing binary files..."
	@rm -f $(PROGRAMS) so_locations

rmbak:
	@echo "Removing backup files..."
	@rm -f *~ kk.kk *.bak

cflags: 
	@echo $(INCLUDES) $(CXXFLAGS)


